package com.xxl.job.executor.report.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxl.job.executor.report.entity.BytedanceCreativeDailyReport;

import java.util.List;

/**
 * @Description: 广告创意日报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
public interface IBytedanceCreativeDailyReportService extends IService<BytedanceCreativeDailyReport> {

    List<BytedanceCreativeDailyReport> bytedanceCreativeAccountReportList(JSONObject json);

    List<String> getSignatureList();

    void replaceBatch(List<BytedanceCreativeDailyReport> dailyReports);

    void calculationMaterialReport(String signature);
}
